package com.cgi.cihr.gui;

import java.awt.BorderLayout;
import java.awt.FlowLayout;
import java.awt.Font;
import java.awt.GridLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JButton;
import javax.swing.JDialog;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JPasswordField;
import javax.swing.JTextField;
import javax.swing.SwingConstants;

/**
 * Livelink connection dialog.
 * 
 * @author tomas.hansson
 */
public class EISConnectDialog extends JDialog {
	String userName;
	String password;
	
	/**
	 * Constructor.
	 * 
	 * @param parent
	 */
	public EISConnectDialog(JFrame parent) {
		super(parent);
		setModal(true);
		setTitle("Livelink log-in");
		
		JPanel p = new JPanel(new BorderLayout());
		JPanel lp = new JPanel(new GridLayout(2, 1));
		JPanel fp = new JPanel(new GridLayout(2, 1));
		p.add(lp, BorderLayout.WEST);
		p.add(fp, BorderLayout.CENTER);

		Font labelFont = new Font("Arial", Font.BOLD, 12);
		final JTextField txtField = new JTextField(25);
		JLabel label = new JLabel("  Username:", SwingConstants.LEFT);
		label.setLabelFor(txtField);
		label.setFont(labelFont);
		lp.add(label);
		JPanel p2 = new JPanel(new FlowLayout(FlowLayout.LEFT));
		p2.add(txtField);
		fp.add(p2);
		
		final JPasswordField pwdField = new JPasswordField(25);
		label = new JLabel("  Password:", SwingConstants.LEFT);
		label.setLabelFor(pwdField);
		label.setFont(labelFont);
		lp.add(label);
		p2 = new JPanel(new FlowLayout(FlowLayout.LEFT));
		p2.add(pwdField);
		fp.add(p2);	
		
		JPanel buttons = new JPanel();
		JButton okButton = new JButton("OK");
		okButton.addActionListener(new ActionListener() {			
			@Override
			public void actionPerformed(ActionEvent e) {
				userName = txtField.getText();
				password = new String(pwdField.getPassword());
				setVisible(false);
			}
		});
		
		JButton cancelButton = new JButton("Cancel");
		cancelButton.addActionListener(new ActionListener() {			
			@Override
			public void actionPerformed(ActionEvent e) {
				userName = null;
				password = null;
				setVisible(false);
			}
		});

		buttons.add(okButton);
		buttons.add(cancelButton);
		
		getContentPane().add(p, BorderLayout.NORTH);
		getContentPane().add(buttons, BorderLayout.EAST);
		setResizable(false);
		pack();
		
		this.setLocationRelativeTo(parent);
		this.getRootPane().setDefaultButton(okButton);
	}

	/**
	 * @return the userName
	 */
	public String getUserName() {
		return userName;
	}

	/**
	 * @return the password
	 */
	public String getPassword() {
		return password;
	}
}
