package com.cgi.cihr.gui;

import java.io.File;

import javax.swing.JFileChooser;
import javax.swing.JFrame;
import javax.swing.filechooser.FileFilter;

/**
 * Dialog to get the EIS file.
 * 
 * @author tomas.hansson
 */
public class EISFileDialog {
	private JFileChooser fileChooser;
	
	/**
	 * Constructor.
	 */
	public EISFileDialog() {
		fileChooser = new JFileChooser();
		fileChooser.addChoosableFileFilter(new TextFileFilter());
	}
	
	/**
	 * Get file.
	 * 
	 * @param parent
	 * @return File
	 */
	public File getFile(JFrame parent) {
		File txtFile = null;
		int option = fileChooser.showOpenDialog(parent);
		
		if (option == JFileChooser.APPROVE_OPTION && fileChooser.getSelectedFile() != null) {
			txtFile = fileChooser.getSelectedFile();
		}
		
		return txtFile;
	}
	
	class TextFileFilter extends FileFilter {
		public boolean accept(File f) {
			if (f.isDirectory()) {
				return true;
			}
			
			return f.getName().toLowerCase().endsWith(".txt");
		}
		
		public String getDescription() {
			return "Text files";
		}
	}
}
